PHP 5.4.3 and PHP 5.3.13 x64 (64 bit) for Windows

PHP 5.4.3 and 5.3.13 were released a week ago (May 8, 2012). The complete changelog can be found here.

Below you will find 64 bit builds of PHP 5.4.3 and 5.3.13 for Windows. As usual these were compiled with Visual C++ 2008 (VC9). Some of you were experiencing crashes with the 5.4.0 build that I posted last month. Let me know if the crashes still occur with the new 5.4.3 (thread safe) build.

Download

PHP 5.4.3 (Thread Safe)

php-5.4.3-Win32-VC9-x64.zip (Mirror 1) (Mirror 2)

CRC32: 332AEDFE
MD5: D813A774F42DE8E623FCB0BEFF83F9AF
SHA-1: 2633C0A9868C0B1C493BB231F8068EB286357A42

PHP 5.4.3 (Non Thread Safe)

php-5.4.3-nts-Win32-VC9-x64.zip (Mirror 1) (Mirror 2)

CRC32: 9D0FF5B6
MD5: 8FB813791238F9E35E2AB198B94D0411
SHA-1: C6771C46EA7C00D2A4A1375EC1A7CC4A4DC1703D

PHP 5.3.13 (Thread Safe)

php-5.3.13-Win32-VC9-x64.zip (Mirror 1) (Mirror 2)

CRC32: 9C77727D
MD5: 0EC3F145E0B22D861DA915382980F425
SHA-1: 9CB96DFE0AD9512491C48F44C274F723C1BB5D89

PHP 5.3.13 (Non Thread Safe)

php-5.3.13-nts-Win32-VC9-x64.zip (Mirror 1) (Mirror 2)

CRC32: AD75C6AF
MD5: 232C80FA5DD0B99956FB95C732545D49
SHA-1: BF4545013C6F1BEDC0A4E56B2A83543A4EC7CE53

Additional Extensions

Additional extensions can be found in the following mediafire folder – http://www.mediafire.com/php-win64-extensions.

I will be compiling and uploading updated versions of extensions for both PHP 5.4 and 5.3 during this week.

Fixed curl extensions:

php_curl-5.3.13-nts-VC9-x64.zip

php_curl-5.3.13-VC9-x64.zip

php_curl-5.4.3-nts-VC9-x64.zip

php_curl-5.4.3-VC9-x64.zip


Related Posts:

Next Post:
Previous Post:

164 Comments

  1. svsw

    Thank you very much!

  2. jb

    When I asked, I never expected to actually hear anything back from you! Thanks a lot.

  3. AriesFR

    Hi,

    Thanks indeed, but is it normal that PDO shows no driver loaded (phpinfo()), even though my php.ini explicitely tries for:
    extension=php_pdo_mysql.dll
    extension=php_pdo_odbc.dll
    extension=php_pdo_pgsql.dll
    Is PDO supposed to be biult inside this release?

    Thanks,
    AriesFR

  4. Anindya

    @svsw and @jb

    You’re both welcome. :D

    @AriesFR

    Please make sure you have set “extension_dir” correctly in php.ini. Normally you should see the following in phpinfo() when you enable those extensions – http://i50.tinypic.com/347vebt.png.

  5. Daweb

    Yes, it’s work :)
    Thank you !

  6. Otomatic

    Hi,

    Thanks a lot.
    Fortunately there Anindya for 64 bit versions of PHP because it had to rely on the PHP group, we expect up to the holy cows come home!

  7. zmcjs

    eAccelerator for php 5.3.13 and php 5.4.3 is not release!

    please modfily the file!
    thank you very much!

  8. AriesFR

    Hi there,

    Sorry, I was used to setting extension_dir to simply “ext” like for the 32 bit versions and expect a startup error if it does not find its extensions… It now works fine.
    Great software and GREAT support too :-). Thanks a ton for your work.

    AriesFR

  9. mikey

    Could u upload a thread safe memcache extension for php 5.4 x64 ?

  10. Phouchg

    Thank you for doing all the hard work :)

    Would it by chance be possible to compile imagick extension, too?
    I’m considering using phMagick for now, but I’d rather keep exec() disabled.

  11. Matthijs

    Thanks a lot for your hard work!

    But I’m having some issues when I try to run php from the command line (Windows 7, 64 bit), it looks like php_curl.dll cant find/load Microsoft.VC90.CRT,processorArchitecture=”amd64″,publicKeyToken=”1fc8b3b9a1e18e3b”,type=”win32″,version=”9.0.21022.8″.

    After some searching I found this topic: http://social.msdn.microsoft.com/Forums/en-US/vcgeneral/thread/b2aacd05-d9e9-4c6f-95f5-d6c005c9a5c6/

    Any thoughts? Thanks!

  12. Otomatic

    Hi,

    I think there is a compilation problem with the extension php_curl.dll.
    When you want to load the extension, Apache and PHP errors:

    PHP Startup: Unable to load dynamic library ‘J:/Wamp/bin/php/php5.3.13/ext/php_curl.dll’
    The application failed to start because its configuration side-by-side is incorrect. For more information, see the application event log or use the command line tool sxstrace.exe

    I run sxstrace.exe and I think that the problem is in the manifest file for php_curl.dll that have :
    Information : reference : Microsoft.VC90.CRT,processorArchitecture=”amd64″,publicKeyToken=”1fc8b3b9a1e18e3b”,type=”win32″,version=”9.0.21022.8″
    Information : reference : Microsoft.VC90.DebugCRT,processorArchitecture=”amd64″,publicKeyToken=”1fc8b3b9a1e18e3b”,type=”win32″,version=”9.0.21022.8″

    Users don’t have Microsoft.VC90.DebugCRT.

  13. Spaceman

    I have the same php_curl problem as Otomatic.

    with Apache 2.4.2 and PHP 5.4.3 threadsafe.

    Thanks.

  14. beginner

    Official Xdebug.dll VC9 nts on php5.4.3 VC9 NTS not load , please fix it

  15. beginner

    Sorry , missing PHP 5.4.3 Vc9 Nts 64

  16. Anindya

    @zmcjs

    eAccelerator is not compatible with PHP 5.4.3. But will compile for 5.3.13 soon.

    @mikey

    I tried to compile thread safe version of memcache 2.2.6 but it did not compile successfully. So I am guessing it is not compatible. Will try again with the latest source from svn.

    @Phouchg

    Will try to compile it as soon as possible. Haven’t compiled it before so it may take time.

    @Matthijs, @Otomatic and @Spaceman

    Thanks for letting me know about the problem. I will have to recompile libcurl and the php_curl extension. Will recompile and post it by tomorrow.

  17. Anindya

    @beginner

    The NTS version is the one labeled “PHP 5.4 VC9 (64 bit)”. Here is the link – http://xdebug.org/files/php_xdebug-2.2.0-5.4-vc9-nts-x86_64.dll.

  18. nobita215

    Can you please help compiling XCache 2.0.0 X64 for PHP 5.3 vc9 nts ?
    Very need this, please

  19. Jan Ehrhardt

    @Anindya: php_curl.dll with libcurl 7.25 now reports that IPv6 is disabled, even if you compile it with ENABLE_IPV6=yes. I could not find out what was wrong, but I have gone back to 7.24.

  20. yon

    the php_curl.dll php5.3.13 and php5.4.3 all not normal work in IIS7.5.

  21. yon

    this file run wrong.
    php_wincache.dll
    PHP Warning: PHP Startup: in Unknown on line 0

  22. Jan Ehrhardt

    I found the solution for the IPv6 problem in libcurl 7.25.0. Line 166 in MakefileBuild.vc should be:

    !IF “$(USE_IPV6)”==”true”

    in stead of

    !IF “$(USE_IPV6)”==”yes”

    There are more things wrong in the MakefileBuild.vc, but this is the minimal change needed. I will report it to the maintainers of libcurl

  23. nobita215

    Can you please help compiling XCache 2.0.0 X64 for PHP 5.3 vc9 nts ?
    Very need this, please!!!

  24. Anindya

    @nobita215

    Yes, will compile XCache and post it soon.

    @yon

    Have just posted fixed curl builds. And as for wincache, you need to download and enable the memcache extension too.

    @Jan Ehrhardt

    Thanks a lot for the info. I noticed that you can also just change line 152 to “USE_IPV6=yes”.

  25. Jan Ehrhardt

    @Anindya: then you would change it back. See this patch:
    https://github.com/bagder/curl/commit/575f3c30ed60aafddbaeeb26745cca942fb9ee2f

    I did not really dig into it, but if you change line 152 back it might not be possible to disable IPv6 support.

  26. nobita215

    @Anindya Thank you very much for your selfless contribution!

  27. Jan Ehrhardt

    @Anindya and @yon: php_memcache.dll does not have to be loaded. See:
    http://x64.elijst.nl:81/phpinfo.php5f

    And memcache does not have to be in your build path anymore as well:
    http://forums.iis.net/p/1174639/2021358.aspx#2021358

  28. Anindya

    @Jan Ehrhardt

    Thanks for the info about wincache. :)

    By the way, correct me if I am wrong but if you set line 166 to “true” in curl’s MakefileBuild.vc, then lines 151-153 can be removed since “USE_IPV6″ is already set to “true” in Makefile.vc (line 52-56).

  29. Jan Ehrhardt

    I agree that it is a bit of a mess. That is why my first comment ended with this: “There are more things wrong in the MakefileBuild.vc …”.

  30. yon

    ok.the curl seem work now. I will test look at.

    suhosin ,geoip and other for php5.4 where get download its?

  31. yon

    The php5.4.3 logs still show ” PHP Warning: PHP Startup: in Unknown on line 0 ”

    I don’t know why it is.

  32. Jan Ehrhardt

    php_wincache.dll is only usable with a non thread safe PHP. Are you using such a PHP?

  33. yon

    yes. I am use php_wincache.dll is only usable with a non thread safe PHP.

    windows 2008R2 system log show php_wincache.dll run wrong.

    php5.4.3 logs only show ” PHP Warning: PHP Startup: in Unknown on line 0 ”

  34. nobita215

    @Anindya and eAccelerator-0.9.6.1 for 5.3.11-nts-VC9-x64.zip

    Trouble you

  35. nobita215

    @Anindya I saw the xcache for 5.4 version, but didn’t see xcache for 5.3 NTS version

  36. Otomatic

    Hi,

    New versions of curl_dll work well for PHP 5.3.13 and 5.4.3.
    Thanks

  37. Phouchg

    Thank you for compiling imagick. I’ll see to it right away.

  38. Jan Ehrhardt

    @Anindya: according to this message the latest trunk of php-wincache can be compiled as thread safe now:
    http://forums.iis.net/p/1189010/2022230.aspx#2022230

    I tried to do that, but php-cgi.exe crashed when I tried to load the extension and execute a php-script, for both x86 and x64. I am not really sure that my x64 build environment is OK, because I get comparable crashes with php_apc.dll. Could you try to compile php_wincache.dll (latest trunk) as x64 ts and see if it survives a ‘php-cgi phpinfo.php’?

  39. Anindya

    @yon

    I have no idea why wincache isn’t working for you. I tested it and it works fine in my case. I recommend that you try using a fresh php.ini file. That is, rename either php.ini-development or php.ini-production to php.ini and then try enabling only the wincache extension in it. Also, upgrade your Visual C++ 2008 Redistributable package if you aren’t already using the latest version.

    @nobita215

    I hope you have noticed by now that I have uploaded both eAccelerator (for PHP 5.3) and xcache (for 5.3 and 5.4).

    @Otomatic and @Phouchg

    You’re welcome. :D

    @Jan

    I compiled thread safe version of wincache and it’s crashing in my case too. Crashes right after generating the phpinfo() output. Just as you described in that thread. APC works fine for me though.

  40. Jan Ehrhardt

    OK. Thanks for trying to compile as TS. Same symptoms …

    Quote from a message by one of the developers of wincache: “FYI, there are several places in wincache that are *explicitly* not x64 compliant. There are a few places where pointer values are cast to DWORD values, which will definitely crash.”

    Apparently, you and I are not running into those places where it will crash while testing the x64 nts version. But maybe @yon is.

  41. Robin

    Hi Anindya,

    I downloaded php-5.4.3-nts-Win32-VC9-x64.zip on 30th May from your Dropbox link, but I am seeing the following in the PHP error log:

    “PHP Startup: Unable to load dynamic library ‘F:\PHP\ext\php_curl.dll’ – The application has failed to start because its side-by-side configuration is incorrect.”

    Was this the issue you had fixed with curl? Could I have downloaded an older zip from your Dropbox?

    Many thanks for your continued hard work :)

  42. yaodaye

    Oh,I’m sorry but there is a mistake in “php_curl.dll” when php run in windows server 2008 r2.
    Thanks for The Great Firewall,I can’t download the fixed.Can you upload it to your server?
    Although I still don’t know what is the use of this component,but,have is better than not.
    You are the best.

  43. Andrew

    Thank you! Could you please also compile php_redis.dll? There already are some, but old – https://github.com/nicolasff/phpredis Thanks again.

  44. Gaurav

    Anindya, I’m using your php-5.4.3-Win32-VC9-x64.zip with apache 64 bit windows binary 2.4.2 on a windows 2008 r2 (64 bit) machine..

    The log says….

    “Unable to load dynamic library ‘c:\\php\\ext\\php_curl.dll’ – The application has failed to start because its side-by-side configuration is incorrect”

    Other than this, APache seems to crash multiple times in a day with the following message..

    Problem signature:
    Problem Event Name: APPCRASH
    Application Name: httpd.exe
    Application Version: 2.4.2.0
    Application Timestamp: 4faff4b6
    Fault Module Name: php5ts.dll
    Fault Module Version: 5.4.3.0
    Fault Module Timestamp: 4fb15f2c
    Exception Code: c00000fd
    Exception Offset: 00000000001f6139
    OS Version: 6.1.7601.2.1.0.274.10
    Locale ID: 1033
    Additional Information 1: e339
    Additional Information 2: e339f2594e7f681a95b166793376bebb
    Additional Information 3: dcfa
    Additional Information 4: dcfa7002ecc95d684f4f471b5f61a396

    Would really appreciate your help..

    Regards,
    Gaurav.

  45. Beny

    Hello i used your compiled php 5.4.3 64bit with fixed curl ext on iis6, but when I try in openinverter, the curl is error:

    Fatal error: Call to undefined function curl_init() in D:\webRoot\OpenInviter\plugins\_base.php on line 266

    Can you help? Thanks very much

  46. snake

    Hi,

    I have an issu when I try to load APC (provide with your mediafire link) and INTL extension with PHP 5.4.3 thread safe. I have twice this warning in the log file :

    PHP Warning: PHP Startup: in Unknown on line 0

    Any idea of why ?

    Thanks in advance.

  47. snake

    My bad, the issue is only for INTL sorry.

  48. Jan Ehrhardt

    @Anindya: if and when you start compiling PHP 5.4.4 and PHP 5.3.14, there is a new version of php_wincache. Use the latest trunk.
    http://svn.php.net/viewvc/pecl/wincache/trunk/?view=log

  49. zmcjs

    php 5.3.14 and php 5.4.4 is release please modfily x64 installer packages !
    thank you very much!
    waitting!

  50. Kevin

    I’m looking for apc and memcache dll’s for php 5.4.3 (running on win server 2003 64bit), can anyone help me?

  51. Gman

    PHP crashes, when I use simplehtmldom 1.5

    Problem signature:
    Problem Event Name: APPCRASH
    Application Name: php.exe
    Application Version: 5.3.12.0
    Application Timestamp: 4fb026b9
    Fault Module Name: php5ts.dll
    Fault Module Version: 5.3.12.0
    Fault Module Timestamp: 4fb027d7
    Exception Code: c0000005
    Exception Offset: 00000000000ac1be
    OS Version: 6.1.7601.2.1.0.18.10
    Locale ID: 1033
    Additional Information 1: fb20
    Additional Information 2: fb200ae9e8eca7007e52221d75483b94
    Additional Information 3: 0530
    Additional Information 4: 05305c9d74cf681fddabdd9f13f1c39b

  52. Gman

    I can send you erroneous script by mail, if you want.

  53. Frank

    Thanks so much for these cURL updates. I’m not sure why but http://wampserver.com ships the wrong curl dll with 5.4.3. But now it’s fixed so I can get back to saving the world.

  54. Lubber

    Thanks for all your support. You are still my php 64-Bit hero!
    May i ask you if you are able to provide a php_saprfc 64 extension? You have been asked some blog posts before on an slightkly older php version

    And some “unusual” question:
    I have seen you were able to compile php_memcache for php 5.4 x64 nts. Thanks for that. But i have another server still under 32.-Bit x86 nts, and since weeks nobody seems to be able to compile php_memcache for php 5.4 x86 32 Bit nts.

    Could you compile that extension for x86 php 5.4 nts also? Yes i know you are focussed on x64, but it seems you are the only one in the whole world being able to do that :D

  55. Jan Ehrhardt
  56. Jimmy

    Thank you so much, saved me the trouble of having to compile a new php with new extensions.

  57. Lubber

    @Jan Ehrhardt: THANKS A LOT! :D :D :D

  58. Adh Meijer

    I got this error message after updating the curl ext:

    PHP Warning: PHP Startup: Unable to load dynamic library ‘\\php\\ext\\php_curl.dll’ – The operating system cannot run %1.\r\n in Unknown on line 0

    any advice?

  59. DanielXing

    Help

    I am from china,but we can not download ,Pls email these files to me

    Thank you very much!

    php_curl-5.3.13-nts-VC9-x64.zip

    php_curl-5.3.13-VC9-x64.zip

    php_curl-5.4.3-nts-VC9-x64.zip

    php_curl-5.4.3-VC9-x64.zip

  60. Oz

    Would love to install 5.4.4 x64.

    Previous versions has a bug with exif extensions that crashes php with some images.

    Thanks!

  61. Otomatic

    Hi,

    I know it is vacation time (not quite summer here because of the time) but would it be possible to get PHP 5.4.4 in 64bit and possibly PHP 5.3.14.
    Secunia PSI constantly warns me that PHP 5.4.3 presents loopholes and must be replaced by PHP 5.4.4.
    Thank you.

  62. Optimus_prime

    thanks.

  63. zmcjs

    php 5.4.5 and php 5.3.15 is release!
    please modfily x64 installer package!

  64. Robin

    It will be done when the person has time! I’m quite sure they know there is a new version released :)

    @anindya do you think you could write an (unsupported) procedure on how you do this? Or point me in the direction of how to do it myself?

  65. Parijat

    Hi,

    I downloaded php 5.3.13 and apache2.2 64 bit builds. but there is no php5_apache2_2.dll in PHP folder. How I have to configure server now ?

  66. zmcjs

    老大,最近这么久了,怎么没有发布x64版本阿!

  67. zmcjs

    php 5.4.5 and php 5.3.15 is release!

    please modfily x64 installer package!

    thank you !
    thank you!

  68. stefano

    tks!!!!! php_curl-5.4.3-VC9-x64.zip WORK with wamp sever & win7 x64….I searched for days….

  69. Taai

    Why the PHP_INT_SIZE is still 4, not 8?

    I’m using 64bit Windows 7 business edition and running this php-cgi.exe.

  70. Lubber

    eaccelerator has got official php 5.4 support with lot of fixes. may i ask if you could try to do a nts x64 compilation if you have time please ? :)

    https://github.com/eaccelerator/eaccelerator/downloads

  71. Lubber

    to be correct, you need to download from the trunk. The downloads pages still sesms to have the unaltered source, so
    https://github.com/eaccelerator/eaccelerator/zipball/master
    should be correct

  72. Richard

    Oh my goodness, you are the cURL mechanic. Thank you for the fixes.

  73. Anindya

    @everyone

    Way too many comments. Can’t reply to them all. :D

    I have just posted PHP 5.4.5 and 5.3.15. Please upgrade to those builds and leave your comments in the new post if you have any issues or if you would like me to compile any additional extensions.

    Thanks.

  74. MayLava

    Thank you so much!
    the curl of wamp64 cannot work. your file fixed it.

  75. StefanZ

    Thanks a lot. On wamp 2.2 with PHP 5.4.3 and Apache 2.4.2 i had problems with curl and after overwriting your file php_curl-5.4.3-VC9-x64.zip everything was ok.

  76. Brad

    Thanks so much for putting this out there. Very helpful.

    [You have just received a digital high five from Brad ]

  77. MrsDebugger

    Thank you so much! Great help!

  78. PACE

    had the problem with wamp64 too – thanks very much!

  79. coder

    yes its working thanks :)

  80. Gert-Jan

    Great work, been searching for a way to get it to work for a long time. Thanks!

  81. Charlie

    Hello everyone

    I have been trying to install php_apc.dll on my wamp server using apache 2.4.2 and php 5.4.3.
    the module shows up under php extensions when i check there. it’s registered in PHP.ini as well.
    however it does not show up when i run phpinfo().

    i checked apache error log and this is what i get:
    PHP Warning: PHP Startup: Unable to load dynamic library ‘c:/wamp/bin/php/php5.4.3/ext/php_apc.dll’ – The specified module could not be found.\r\n in Unknown on line 0

    I’d truly appreciate any guide anyone can provide me with

  82. Charlie

    **UPDATE with my problem

    just in case of anyone who runs into same trouble and save yourself frustration and headache, extension doesn’t seem to work well with 64x wamp. I had to rollback to 32bit. that was the only way to get things running.

    if there’s anyone successful in running the 64bit on a windows 7 machine. let us know.

  83. Jerry

    Just want you to know that I love you. lol. Been goin at this issue all day :/
    I had found there was the issue with the DLL, but was having the issues of finding the DLL that would work. You saved my ass

  84. leo

    thxs for help it work for me

  85. GoThatWay

    Thank you Anindya.
    Have been struggling 3 days without finding out why my curl lib wasn’t working even tho it was activated…
    This fixed everything :)

  86. ramsy

    You are the best at what you do !!
    I was losing my hair before I found this blog .. Thanx a Million !

  87. Danielle

    THANK YOU!!!

  88. byron

    hello , can you send “php_curl-5.4.3-nts-VC9-x64.zip” and “php_curl-5.4.3-VC9-x64.zip” to me.I can’t download it.
    Thank you very much.

  89. Daniel

    Thanks a lot! Your curl file fixed the extension for Wamp64 on Windows 8. I did have to restart the whole thing first. Good job!

  90. cakecms

    Thank you very much,finally fixed it,thanks!

  91. Vinay

    Hi,

    I tried this for PHP 5.4.3 and 5.3.13 both thread and thread safe versions. Still when i run a PHP file it says Call to undefined function curl_init() .

    I am trying the same thing for hours now.
    I am using wamp and windows 7. I am copying the “php_curl.dll” file in the ext folder.
    Can you please let me know if I am missing something.

  92. Julian

    Fixed my wamp! Thank you.

  93. Paolo

    Thanks! This helped me a lot!

  94. Greg

    God bless you!

  95. Nico

    Thank you very much. !! :)

  96. devran

    very very tenx, good shared

  97. Faruk BAYHAN

    Your post has helped me to fix this bug.

    Thank you,

  98. Kristof

    Thanks,
    you saved my day on W7 x64 !

  99. Shubham Bansal

    I downloaded php_http.dll.. when executing on my 64 bit wamp it says procedure php_ob_get_buffer not found in php5ts.dll. Can anybody help me with this?

  100. jose

    Thanks a lot. The curl file is famous :)

  101. Mauricio

    Thx, Curl extension fixed for Wamp64 PHP5.4 on Windows8

  102. Mario

    Thanks a million

  103. Edwin

    Thank you so much. Your file php_curl-5.3.13-VC9-x64.zip did the trick.

  104. Backslider

    Thanks for your post!

    I get this problem every time I deploy a new version of Wampserver – I don’t know why the developer(s) can’t get it right.

  105. newtophp

    Thank You !!!

  106. Sigit

    curl extension fix for php 5.3.13 helped me so much, thx

  107. Deniz

    used php curl extension x64 for php 5.3.13, worked and fixed my curl problem, thanks :)

  108. Crisu83

    Thanks for your blog post, helped me resolve an issue with php_curl.dll and wamp (64bit) on Windows 8.

  109. quyen

    your download URLs don’t work!!!

    the links to the 64-bit versions of curl are all broken. can we have access back please? I kinda need curl. thanks

  110. Hendra Setia Budi

    Anin, is php_curl-5.4.3-VC9-x64.zip link work?
    because i cant download php_curl from that link. thx

  111. Anindya

    @quyen and @Hendra Setia Budi

    If you were unable to download, then it may have been a temporary issue with the file host (mediafire.com). It is also possible that your ISP or institution has blocked mediafire.com in which case you should still be able to download using a different internet connection or by using a proxy.

  112. gops

    THANKS FOR THIS BLOG.

    I AM A BIGINER IN THIS FIELD ,

    I HAVE USED THE FOLLOWING VERSSIONS WITH OTACLE 11 G 64 BIT ON WINDOWS 7 64 BIT OS;
    apache_2.4.2-x64-no-ssl

    php-5.4.12-Win32-VC9-x64
    IT WORKS FOR ME WITH A WARNING ON TIMEZONE ERROR.

    PLEASE HELP ME OUT

    THANKING YOU

    gops

  113. Anindya

    @gops

    If you haven’t already, rename the “php.ini-development” file to “php.ini”. The file is located in the directory where you installed PHP (eg. C:\php). After renaming, open the file and find “;date.timezone =”. Remove the semicolon and append your timezone (eg. Europe/Vienna). You can find a list of supported timezones here – http://php.net/manual/en/timezones.php.

    The final string will look something like the following:

    date.timezone = Europe/Vienna

    Hope this helps.

    Edit: Forgot to mention that you need to save the changes to the php.ini file and then restart Apache.

  114. helkowsky

    thank you so much !!!

  115. quyen

    ok, I tried a few days ago, and I downloaded it successfully, but it doesn’t work. the curl extension module is still not recognized. why don’t the WAMP guys just supply their dough without the poison man?

  116. AnasKhchaf

    Hi this will fix problem with simple use of curl but when i use an advance curl for https request i got an error for some WebSite like unlimited loading page that return “SSL Time Out” if you limit the timeout.
    i test my code and he work perfectly in others envirenements, and i tried to compare the configuration between thems and i found that The SSPI hasn’t the same value in phpinfo()
    it’s set to “No” However in the correct Envirenement it’s set to “Yes”.
    Have You Any Idea to Fix That ??

  117. @filosofogriego

    MIL Y MIL GRACIAS… ESTA HA SIDO LA UNICA SOLUCION PARA MI PROBLEMA.. REEMPLACÉ LA dll,y funcionó…

    Mil gracias por tan buena solución.. valoro mucho su trabajo.

  118. Sethathi

    Worked!! Thanks!

  119. fidelipass

    Hello. it work for me on Windows 8, 64. Thanks ;)

  120. fidelipass

    php_curl.dll with libcurl 7.25 now reports that IPv6 is disabled, even if you compile it with ENABLE_IPV6=yes. I could not find out what was wrong, but I have gone back to 7.24.

  121. locoman

    windows 8, wamp with apache 2.2.2 and php 5.3.13.

    started all services, put online, replaced the dll like in the article, and restart
    i used the one without nts.

    it works now!
    thank you guys

  122. irustima

    Thanks for php_curl-5.4.3-VC9-x64.zip. Helped me fix Opencart installation on WAMP5.4.3 localhost on WIN7

  123. iizno

    the link to php_curl-5.3.13-VC9-x64.zip is broken, can someone give me one ? (iiizno[at]gmail[dot]com )

  124. Amit

    Hello Anindya ,

    Thanks a lot , your php fixed curl version saved my life ..
    Great … yeah Great

  125. Arif RH

    I have trouble before activating curl in wamp + windows 7 x64bit, but after I have download the fixed curl for x64 in this blog and then it works! Thank you so much.

  126. SomethingOderEtwas

    Vielen dank. :)

  127. aadi

    Thank you very much . very useful blog for php lovers. :)

  128. tanmay patil

    Works like a charm!!
    Thanks a lot!

  129. ROGUE

    Hello.
    Do you have an idea to use curl with php 5.6 ? thanks

  130. sean

    great!! thx!

  131. Andres

    I have wampserver x64 installed with PHP 5.4.3 in windows 7 ultimate x64, I downloaded the apc extention from here extract it in ext/ directory and I set the extension in php.ini in /php and /apache directory.

    When I run from command line php -i the extention works and is loaded, but when I run wamserver it does not start, what could be happening?

    thanks

  132. Nitemare

    Hello, when I try to start apache and using php_apc.dll (php_apc-3.1.13-5.4-VC9-x64-win7-2008.zip on Win7 x64, apache 2.2.19 x64 and PHP 5.4.x x64 ts) apache just crashes.
    I have added right (I think) lines in php.ini configuring APC, but this didn’t solve my problem. Any idea?

  133. Nitemare

    SOLVED!! I just upgraded to Apache 2.4.4 x64 and it worked!!!!!

  134. Cartman

    Hi,

    Can you (or someone else) re-upload the files and update the links?
    I can’t download the Curl Fix files.

  135. Amit
  136. Amit

Leave a Comment

Notify me of follow-up comments via e-mail.